package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/21
 */
@ApiModel(value = "CourseAdjustVo")
public class CourseAdjustVo implements Serializable {
    @ApiModelProperty(value = "课程id")
    @NotNull(message = "课程id不能未空")
    private Integer courseId;

    @ApiModelProperty(value = "上课日期")
    @NotNull(message = "上课日期")
    private Date classDate;

    @ApiModelProperty(value = "上课时间")
    @NotNull(message = "上课时间")
    private Date startTime;

    @ApiModelProperty(value = "下课时间")
    @NotNull(message = "下课时间")
    private Date endTime;

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}

